Subject: Re: [Bitcoin-development] Payment protocol for onion URLs.

From: "Jeremy Spilman" <[email-masked]>
Date: Mon, 28 Oct 2013 12:37:30 -0700

Just an aside...

The 1BTC bountry John references below is a 1BTC P2SH output, where the  
redeemScript he provided does hash to the expected value, and is itself a  
2-of-3 multisig, with the following pubkeys, expressed as addresses:

1BrufViLKnSWtuWGkryPsKsxonV2NQ7Tcj
1FCYd7j4CThTMzts78rh6iQJLBRGPW9fWv
1GMaxweLLbo8mdXvnnC19Wt2wigiYUKgEB

By comparison, the signatories for the 4BTC bountry are:

1L9p6QiWs2nfinyF4CnbqysWijMvvcsnxe
1FCYd7j4CThTMzts78rh6iQJLBRGPW9fWv
1GMaxweLLbo8mdXvnnC19Wt2wigiYUKgEB

On the one hand, the vanity address makes it easy to guess who one of the  
signatories is, on the other hand, is it bad form to reuse keys for  
signing?

John, you mentioned wanting to disambiguate bounties, perhaps through a  
bounty-specific pubkey. I'm not sure I follow, how is that better than  
just referencing the address of the output, or the TxID, in a 'Table of  
Bounties'? Or you want to embed a hash of your signed message announcing  
the bounty?

Out of curiosity, I suppose right now you just keep pubkeys for the  
signatories you want to appoint and reuse the same pubkey to create these  
multi-sigs, or you have to ask for a new one each time?

 From the signatories perspective, I imagine we're a long way off from a  
wallet receiving or importing the p2sh, tracking that these outputs as  
"yours", and even more, which contract/bounty they correspond to, and  
finally a usable way to accumulate signatures and ultimately spend the  
output to the bounty winner.

And of course, thanks for posting the bounties!

On Sun, 27 Oct 2013 22:58:13 -0700, John Dillon  
<[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> On Sat, Oct 26, 2013 at 3:31 AM, Gregory Maxwell <[email-masked]>  
> wrote:
>> One limitation of the payment protocol as speced is that there is no
>> way for a hidden service site to make use of its full authentication
>> capability because they are unable to get SSL certificates issued to
>> them.
>>
>> Thoughts?
>
> I think this is a great idea and wish to see it done. Here is 1BTC for  
> you,
> redeemable when you finish this task. I trust either Jeff Garzik or  
> Peter Todd
> to evaluate your finished product, or possibly someone elses:
>
> 37NDa6iFLEozbvw8vj38ri5D6SLw5xQujS
>
> 22e067d3317e6300a9edda84fd0e24d8bfb86cf91540c3fe7acff45e4dc64dd3:0
>
> redeemScript :  
> "5241045f4bba15dbfe94a45f362aa13bbaef8bbf21ff84fec1be5b27fa628f4b3acca1a2e5711503c8b8fe2e228229b8b8814f9e33e0f7a314a089d7140269ffd51fe44104d34775baab521d7ba2bd43997312d5f663633484ae1a4d84246866b7088297715a049e2288ae16f168809d36e2da1162f03412bf23aa5f949f235eb2e71417834104f005d39733ec09a1efa0cf8dcf3df50691e22c2374ff9a96d1d9ecb98a1e866c9f558a9fa1ba8ef0bbbad01f396768c0cb2dda9924dc0aaee1481604a8bd9ce453ae"
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
>
> iQEcBAEBCAAGBQJSbfy2AAoJEEWCsU4mNhiPrMMH/jd+AgVYUKd1vmP1BfaZum1s
> X186JulwF659YHOx94dLs+NOjvjMfY6cPbHm+B0j20CnhWrZrXzcXvwTHnzOSuoc
> 1AAXg0KDbvyo+7PvTrsGQfHhT1FZSRzIUToofVmFlvEIO6/LiYMAYWCgIiX9nPvv
> RlvdtavTST+cY19yZamo5X0XU5cgI2tbtVWKEHJQ2VcglCgwFg5K0kZ0O1NMKbcZ
> KBagY3PVTiHnYP+LwSTW6EU9DNq0eLYG39mz4N6CqGkXZjGgh2YXZ6Sl2qRuO/5e
> Rd9HcJXKqPKqMuRpQ2PA5U3U6QSyrUz7/fmi5dsOxnR6pdR53kjUVSvbOqBFHXw=
> =I1/R
> -----END PGP SIGNATURE-----
>
> ------------------------------------------------------------------------------
> October Webinars: Code for Performance
> Free Intel webinars can help you accelerate application performance.
> Explore tips for MPI, OpenMP, advanced profiling, and more. Get the most  
> from
> the latest Intel processors and coprocessors. See abstracts and register  
> >
> http://pubads.g.doubleclick.net/gampad/clk?id=60135991&iu=/4140/ostg.clktrk
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development